Bug 1000671 - Font render and display should be tuned
Font render and display should be tuned
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-24 01:39 EDT by netroby
Modified: 2015-02-17 11:54 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:54:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description netroby 2013-08-24 01:39:05 EDT
Description of problem:

I am old user of Fedora linux since Fedora 13.
Year by year goes. the Fedora goes well, but not well enough on font render.
Did you guys using Ubuntu? or for a comparsion?

The fonts render and display is really bad enough.
Ubuntu has it's tune about font.
and the third party also has it's works on fedora. 
may be you hear about it.

http://www.infinality.net/blog/


every times i installed new Fedora new released version. i should configure the fonts render once again and again.

stupid enough we are.

why not make things easily?

as developers, do you want to make your product more useful to users?


Version-Release number of selected component (if applicable):
Fedora 19 x64

How reproducible:
fresh install fedora

Steps to Reproduce:
1. open any program, such as browser
2. the font render is not good, it is feels like ate shit.
3. not happy with fedora, but Mac OSX and windows doing better

Actual results:
Fonts render not good .

Expected results:
More clear and better fonts render

Additional info:
May be we should tune more about fonts render, ubuntu did well.
Comment 1 netroby 2013-08-24 01:45:16 EDT
http://www.freetype.org/patents.html

The TrueType Bytecode Patents Have Expired!

Since May 2010, all patents related to bytecode hinting have expired worldwide. It it thus no longer necessary to disable the bytecode interpreter, and starting with FreeType version 2.4, it is enabled by default.
Comment 2 Fedora End Of Life 2015-01-09 14:34:39 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 11:54:12 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.